Bug 6265 - Search for records linked to an authority not exact in OPAC
Summary: Search for records linked to an authority not exact in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: /cgi-bin/koha/opac-authoritiesdetail....
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-25 19:33 UTC by Katrin Fischer
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.15 KB, patch)
2011-04-25 19:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
patch signed-off (1.17 KB, patch)
2011-04-28 20:48 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-04-25 19:33:02 UTC
When searching for linked records for an authority in OPAC's authority search the search is not exact.

http://localhost/cgi-bin/koha/opac-search.pl?type=opac&q=1&idx=an

Will bring up all records with an authority number starting with one.

The link in intranet works correctly:

http://localhost:8080/cgi-bin/koha/catalogue/search.pl?type=intranet&op=do_search&idx=an,phr&q=1

Changing the opac link accordingly brings up the right records:

http://localhost/cgi-bin/koha/opac-search.pl?type=opac&q=1&idx=an,phr
Comment 1 Katrin Fischer 2011-04-25 19:56:50 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2011-04-28 20:48:06 UTC
Created attachment 4018 [details] [review]
patch signed-off
Comment 3 Chris Cormack 2011-04-28 21:13:02 UTC
Pushed, please test
Comment 4 Paul Poulain 2011-04-29 10:25:06 UTC
comment from hdl:

imho, phr is not really what we would like.
What would best fit is the usage of ext... But that would require a
change in the koha-Auth-Number indexing and reindexing the biblios....
use
elm xxx$9 Koha-Auth-Number:w,Koha-Auth-Number:p,Koha-Auth-Number:n
n declaration should be optionnal.

Which may not be what we want either.
there are other places where this is required and needed
xslt, opac-detail and intranet detail
hope that helps.
Comment 5 Katrin Fischer 2011-05-03 08:21:17 UTC
I copied the search string from intranet to opac, because it worked like I expected it to work in intranet.

The search link is constructed quite differently from other places in Koha, like the XSLT files. So I am not sure more changes are needed. I had tested a search for the author from the OPAC detail page and it seemed to work ok.

This needs more testing, but I think the patch will fix the described problem in OPAC's authority search.